package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingExpirePromotionCreateRequest struct {
	/*
	   创建短保优惠     */
	Param0 *domain.AlibabaHmMarketingExpirePromotionCreateExpirePromotionBo `json:"param0" required:"true" `
}

func (s *AlibabaHmMarketingExpirePromotionCreateRequest) SetParam0(v domain.AlibabaHmMarketingExpirePromotionCreateExpirePromotionBo) *AlibabaHmMarketingExpirePromotionCreateRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaHmMarketingExpirePromotionCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaHmMarketingExpirePromotionCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
